import { Component, OnInit, Output, EventEmitter } from '@angular/core';

import { ContactsListsService, ContactsList } from './contacts-lists.service';

@Component({
  selector: 'app-contacts-lists-wrapper',
  template: `
    <h2>ContactsListsWrapperComponent</h2>
    <app-contacts-lists [contactsLists]="contactsLists"></app-contacts-lists>
    <app-add-contacts-list></app-add-contacts-list>
    <app-edit-contacts-list></app-edit-contacts-list>
  `,
  styles: [
    'app-contacts-lists, app-add-contacts-list, app-edit-contacts-list { margin-left: 30px; display: block }'
  ]
})
export class ContactsListsWrapperComponent implements OnInit {
  @Output()
  selected = new EventEmitter<string>();

  contactsLists: Array<ContactsList> = [];

  constructor(private contactsListsService: ContactsListsService) {}

  ngOnInit() {
    this.contactsLists = this.contactsListsService.getContactsLists();
  }
}
