import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';

import { ContactsService, Contact } from './contacts.service';

@Component({
  selector: 'app-contacts-wrapper',
  template: `
    <h2>ContactsWrapperComponent</h2>
    <app-contacts [contacts]="contacts"></app-contacts>
    <app-add-contact></app-add-contact>
    <app-edit-contact></app-edit-contact>
  `,
  styles: [
    'app-contacts, app-add-contact, app-edit-contact { margin-left: 30px; display: block }'
  ]
})
export class ContactsWrapperComponent implements OnChanges {
  contacts: Array<Contact> = [];

  @Input()
  currentContactsListId: string;

  constructor(private contactsService: ContactsService) {}

  ngOnChanges(changes: SimpleChanges) {
    this.contacts = this.contactsService.getContacts(
      changes.currentContactsListId.currentValue
    );
  }
}
