import { Component, OnInit, Output, EventEmitter } from '@angular/core';

import { ContactsListsService, ContactsList } from './contacts-lists.service';

@Component({
  selector: 'app-contacts-lists-wrapper',
  template: `
    <div [ngSwitch]="display">
      <app-contacts-lists
        *ngSwitchCase="'list'"
        [contactsLists]="contactsLists" (selected)="selected.emit($event)"></app-contacts-lists>
      <app-add-contacts-list *ngSwitchCase="'add'"></app-add-contacts-list>
      <app-edit-contacts-list *ngSwitchCase="'edit'"></app-edit-contacts-list>
    </div>
  `
})
export class ContactsListsWrapperComponent implements OnInit {
  @Output()
  selected = new EventEmitter<string>();

  contactsLists: Array<ContactsList> = [];
  display = 'list';

  constructor(private contactsListsService: ContactsListsService) {}

  ngOnInit() {
    this.contactsLists = this.contactsListsService.getContactsLists();
  }
}
