import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';

import { ContactsService, Contact } from './contacts.service';

@Component({
  selector: 'app-contacts-wrapper',
  template: `
    <div *ngIf="currentContactsListId; else elseBlock">
      <div [ngSwitch]="display">
        <app-contacts *ngSwitchCase="'list'" [contacts]="contacts"></app-contacts>
        <app-add-contact *ngSwitchCase="'add'"></app-add-contact>
        <app-edit-contact *ngSwitchCase="'edit'"></app-edit-contact>
      </div>
    </div>
    <ng-template #elseBlock>
      Klicken Sie auf eine Kontaktliste
    </ng-template>
  `
})
export class ContactsWrapperComponent implements OnChanges {
  contacts: Array<Contact> = [];
  display = 'list';

  @Input()
  currentContactsListId: string;

  constructor(private contactsService: ContactsService) {}

  ngOnChanges(changes: SimpleChanges) {
    this.contacts = this.contactsService.getContacts(
      changes.currentContactsListId.currentValue
    );
  }
}
