import { Component, Input } from '@angular/core';

import { Contact } from './contacts.service';

@Component({
  selector: 'app-contacts',
  template: `
    <div *ngIf="contacts.length === 0">
      Keine Kontakte
    </div>
    <app-contact *ngFor="let contact of contacts; trackBy: getId" [contact]="contact"></app-contact>
  `
})
export class ContactsComponent {
  @Input()
  contacts: Array<Contact> = [];

  getId(_index: number, contact: Contact) {
    return contact.id;
  }
}
