import { Component, Input, Output, EventEmitter } from '@angular/core';
import { ContactsList } from './contacts-lists.service';

@Component({
  selector: 'app-contacts-list',
  template: `<div class="contact-list">
    <span class="list-name" (click)="onSelect(contactsList.id)">{{contactsList.name}}</span>
    <div class="btn-row">
      <button (click)="onEdit(contactsList.id)">Bearbeiten</button>
    </div>
  </div>`,
  styleUrls: ['./contacts-list.component.css']
})
export class ContactsListComponent {
  @Input()
  contactsList: ContactsList;
  @Output()
  selected = new EventEmitter<string>();
  @Output()
  edit = new EventEmitter<string>();

  onSelect(id: string) {
    this.selected.emit(id);
  }

  onEdit(id: string) {
    this.edit.emit(id);
  }
}
