import { Component, Input, Output, EventEmitter, OnInit } from '@angular/core';

import { Contact, ContactsService } from './contacts.service';

@Component({
  selector: 'app-edit-contact',
  template: `
    <app-contact-form
      formTitle="Kontakt bearbeiten"
      submitBtnLabel="Aktualisieren"
      [contact]="contact"
      (formSubmit)="onSubmit($event)"
      (formCancel)="onCancel()"
    ></app-contact-form>
  `
})
export class EditContactComponent implements OnInit {
  @Output()
  done = new EventEmitter();
  @Input()
  currentContactsListId: string;
  @Input()
  contactId: string;

  contact: Contact;

  constructor(private contactsService: ContactsService) {}

  ngOnInit() {
    this.contact = this.contactsService.getContact(
      this.currentContactsListId,
      this.contactId
    );
  }

  onSubmit(contact: Contact) {
    this.contactsService.updateContact(
      this.currentContactsListId,
      this.contactId,
      contact
    );
    this.done.emit();
  }

  onCancel() {
    this.done.emit();
  }
}
