import { Component, Input, Output, EventEmitter } from '@angular/core';

import { Contact, ContactsService } from './contacts.service';

@Component({
  selector: 'app-add-contact',
  template: `
    <app-contact-form
      formTitle="Kontakt hinzufügen"
      submitBtnLabel="Hinzufügen"
      [contact]="contactTemplate"
      (formSubmit)="onSubmit($event)"
      (formCancel)="onCancel()"
    ></app-contact-form>
  `
})
export class AddContactComponent {
  @Output()
  done = new EventEmitter();
  @Input()
  currentContactsListId: string;

  contactTemplate: Contact = { name: '' };

  constructor(private contactsService: ContactsService) {}

  onSubmit(contact: Contact) {
    this.contactsService.addContact(this.currentContactsListId, contact);
    this.done.emit();
  }

  onCancel() {
    this.done.emit();
  }
}
