import { Component, Output, EventEmitter } from '@angular/core';

import { ContactsList, ContactsListsService } from './contacts-lists.service';

@Component({
  selector: 'app-add-contacts-list',
  template: `
    <app-contacts-list-form
      formTitle="Kontaktliste hinzufügen"
      submitBtnLabel="Hinzufügen"
      [contactsList]="contactsListTemplate"
      (formSubmit)="onSubmit($event)"
      (formCancel)="onCancel()"
    ></app-contacts-list-form>
  `
})
export class AddContactsListComponent {
  @Output()
  done = new EventEmitter();

  contactsListTemplate: ContactsList = { name: '' };

  constructor(private contactsListsService: ContactsListsService) {}

  onSubmit(list: ContactsList) {
    this.contactsListsService.addContactsList(list);
    this.done.emit();
  }

  onCancel() {
    this.done.emit();
  }
}
