import { Injectable } from '@angular/core';

export interface ContactsList {
  id?: string;
  name: string;
}

@Injectable({
  providedIn: 'root'
})
export class ContactsListsService {
  private contactsLists: Array<ContactsList> = [];

  constructor() {
    this.contactsLists = [
      { name: 'Privat', id: '1' },
      { name: 'Beruflich', id: '2' }
    ];
  }

  getContactsLists() {
    return this.contactsLists;
  }

  addContactsList(list: ContactsList) {
    list.id = String(this.contactsLists.length + 1);
    this.contactsLists.push(list);
  }

  updateContactsList(listId: string, list: ContactsList) {
    for (let i = 0; i < this.contactsLists.length; i++) {
      if (this.contactsLists[i].id === listId) {
        this.contactsLists[i] = list;
        this.contactsLists[i].id = listId;
      }
    }
  }

  getContactsList(listId: string) {
    for (let i = 0; i < this.contactsLists.length; i++) {
      if (this.contactsLists[i].id === listId) {
        return this.contactsLists[i];
      }
    }
  }
}
