import { Component, Input, Output, EventEmitter, OnInit } from '@angular/core';

import { ContactsList, ContactsListsService } from './contacts-lists.service';

@Component({
  selector: 'app-edit-contacts-list',
  template: `
    <app-contacts-list-form
      formTitle="Kontaktliste bearbeiten"
      submitBtnLabel="Aktualisieren"
      [contactsList]="contactsList"
      (formSubmit)="onSubmit($event)"
      (formCancel)="onCancel()"
    ></app-contacts-list-form>
  `
})
export class EditContactsListComponent implements OnInit {
  @Output()
  done = new EventEmitter();
  @Input()
  contactsListId: string;

  contactsList: ContactsList;

  constructor(private contactsListsService: ContactsListsService) {}

  ngOnInit() {
    this.contactsList = this.contactsListsService.getContactsList(
      this.contactsListId
    );
  }

  onSubmit(list: ContactsList) {
    this.contactsListsService.updateContactsList(this.contactsListId, list);
    this.done.emit();
  }

  onCancel() {
    this.done.emit();
  }
}
