import { Component, Input, Output, EventEmitter, OnInit } from '@angular/core';
import { FormGroup, FormControl, Validators } from '@angular/forms';

import { ContactsList } from './contacts-lists.service';

@Component({
  selector: 'app-contacts-list-form',
  templateUrl: './contacts-list-form.component.html'
})
export class ContactsListFormComponent implements OnInit {
  @Input()
  formTitle = '';
  @Input()
  submitBtnLabel = '';
  @Input()
  contactsList: ContactsList;
  @Output()
  formSubmit = new EventEmitter<ContactsList>();
  @Output()
  formCancel = new EventEmitter();

  myForm: FormGroup;

  ngOnInit() {
    this.myForm = new FormGroup({
      name: new FormControl(this.contactsList.name, Validators.required)
    });
  }

  onSubmit() {
    if (this.myForm.valid) {
      this.formSubmit.emit(this.myForm.value);
    }
  }

  onCancel() {
    this.formCancel.emit();
  }
}
