import { Component, Input, Output, EventEmitter } from '@angular/core';

import { ContactsList } from './contacts-lists.service';

@Component({
  selector: 'app-contacts-lists',
  template: `
    <app-contacts-list
      *ngFor="let contactsList of contactsLists; trackBy: getId"
      (selected)="selected.emit($event)"
      (edit)="edit.emit($event)"
      (delete)="delete.emit($event)"
      [contactsList]="contactsList">
    </app-contacts-list>
  `
})
export class ContactsListsComponent {
  @Input()
  contactsLists: Array<ContactsList> = [];
  @Output()
  selected = new EventEmitter<string>();
  @Output()
  edit = new EventEmitter<string>();
  @Output()
  delete = new EventEmitter<string>();

  getId(_index: number, contactsList: ContactsList) {
    return contactsList.id;
  }
}
