import { Component, Input, Output, EventEmitter } from '@angular/core';

import { Contact } from '../contacts.service';

@Component({
  selector: 'app-contact',
  template: `<div class="contact">
    <div>{{contact.name}}</div>
    <div>{{contact.email}}</div>
    <div>{{contact.tel}}</div>
    <div class="btn-row">
      <button (click)="onEdit(contact.id)">Bearbeiten</button>
      <button (click)="onDelete(contact.id)">Löschen</button>
    </div>
  </div>`,
  styleUrls: ['./contact.component.css']
})
export class ContactComponent {
  @Input()
  contact: Contact;
  @Output()
  edit = new EventEmitter<string>();
  @Output()
  delete = new EventEmitter<string>();

  onEdit(id: string) {
    this.edit.emit(id);
  }

  onDelete(id: string) {
    this.delete.emit(id);
  }
}
