import { element, by } from 'protractor';

import { AppPage } from './app.po';

describe('Contacts lists', () => {
  let page: AppPage;

  beforeEach(() => {
    page = new AppPage();
  });

  it('should add a contacts list, update and delete it', () => {
    page.execLogin();

    element
      .all(by.css('app-contacts-list'))
      .count()
      .then(count => {
        const currentNumOfLists = count;

        const addButton = element(by.buttonText('Hinzufügen'));
        addButton.click();

        let inputField = element(by.css('input'));
        inputField.sendKeys('Neue Liste');

        let submitButton = element(by.buttonText('Hinzufügen'));
        submitButton.click();

        expect(element.all(by.css('app-contacts-list')).count()).toBe(
          currentNumOfLists + 1
        );

        let lastContactList = element.all(by.css('app-contacts-list')).last();
        const editButton = lastContactList.element(by.buttonText('Bearbeiten'));
        editButton.click();

        inputField = element(by.css('input'));
        inputField.clear();
        inputField.sendKeys('Aktualisierte Liste');

        submitButton = element(by.buttonText('Aktualisieren'));
        submitButton.click();

        lastContactList = element.all(by.css('app-contacts-list')).last();
        const contactListName = lastContactList
          .element(by.css('div span'))
          .getText();

        expect(contactListName).toBe('Aktualisierte Liste');

        lastContactList = element.all(by.css('app-contacts-list')).last();
        const deleteButton = lastContactList.element(by.buttonText('Löschen'));
        deleteButton.click();

        expect(element.all(by.css('app-contacts-list')).count()).toBe(
          currentNumOfLists
        );
      });
  });
});
