import { browser, element, by } from 'protractor';

import { AppPage } from './app.po';

describe('Contacts', () => {
  let page: AppPage;

  beforeEach(() => {
    page = new AppPage();
  });

  it('should add a contact, update it and delete it', () => {
    page.execLogin();

    const lastContactsList = element.all(by.css('app-contacts-list')).last();
    lastContactsList.element(by.css('div span')).click();

    expect(browser.getCurrentUrl()).toContain('/contacts');

    // Hinzufügen
    element
      .all(by.css('app-contact'))
      .count()
      .then(count => {
        const currentNumOfContacts = count;

        const addButton = element(by.buttonText('Hinzufügen'));
        addButton.click();

        let inputField = element.all(by.css('input')).first();
        inputField.sendKeys('Neuer Kontakt');

        let submitButton = element(by.buttonText('Hinzufügen'));
        submitButton.click();

        expect(element.all(by.css('app-contact')).count()).toBe(
          currentNumOfContacts + 1
        );

        // Aktualisieren
        let lastContact = element.all(by.css('app-contact')).last();
        const editButton = lastContact.element(by.buttonText('Bearbeiten'));
        editButton.click();

        inputField = element.all(by.css('input')).first();
        inputField.clear();
        inputField.sendKeys('Aktuell');

        submitButton = element(by.buttonText('Aktualisieren'));
        submitButton.click();

        lastContact = element.all(by.css('app-contact')).last();
        const contactListName = lastContact
          .all(by.css('div > div'))
          .first()
          .getText();

        expect(contactListName).toBe('Aktuell');

        // Löschen
        const deleteButton = lastContact.element(by.buttonText('Löschen'));
        deleteButton.click();

        expect(element.all(by.css('app-contact')).count()).toBe(
          currentNumOfContacts
        );
      });
  });
});
