import { ContactsListComponent } from './contacts-list.component';

describe('ContactsListsComponent', () => {
  it('should emit selected onSelect', () => {
    const contactComponent = new ContactsListComponent();
    const id = '123';

    const selectSpy = spyOn(contactComponent.selected, 'emit');

    contactComponent.onSelect(id);

    expect(selectSpy).toHaveBeenCalledWith(id);
  });

  it('should emit edit with the id when onEdit is called', () => {
    const contactComponent = new ContactsListComponent();
    const id = '123';

    const editSpy = spyOn(contactComponent.edit, 'emit');

    contactComponent.onEdit(id);

    expect(editSpy).toHaveBeenCalledWith(id);
  });

  it('should emit delete with the id when onDelete is called', () => {
    const contactComponent = new ContactsListComponent();
    const id = '123';

    const deleteSpy = spyOn(contactComponent.delete, 'emit');

    contactComponent.onDelete(id);

    expect(deleteSpy).toHaveBeenCalledWith(id);
  });
});
