import { Component, Input, Output, EventEmitter } from '@angular/core';

import { Contact } from '../contacts.service';

@Component({
  selector: 'app-contacts',
  template: `
    <div *ngIf="contacts.length === 0">
      Keine Kontakte
    </div>
    <app-contact
      *ngFor="let contact of contacts; trackBy: getId"
      [contact]="contact"
      (edit)="edit.emit($event)"
      (delete)="delete.emit($event)"
    ></app-contact>
  `
})
export class ContactsComponent {
  @Input()
  contacts: Array<Contact> = [];
  @Output()
  edit = new EventEmitter<string>();
  @Output()
  delete = new EventEmitter<string>();

  getId(_index: number, contact: Contact) {
    return contact.id;
  }
}
