import { Component, Input } from '@angular/core';

interface Titles {
  contentTitle: string;
  part1Title: string;
  part2Title: string;
}

@Component({
  selector: 'app-content',
  template: `
    <main>
      <h2>{{titles.contentTitle}}</h2>
      <app-content-part1 [title]="titles.part1Title"></app-content-part1>
      <app-content-part2 [title]="titles.part2Title"></app-content-part2>
    </main>
  `
})
export class ContentComponent {
  @Input()
  titles: Titles;
}
