import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {
  languages = [
    { label: 'Englisch', code: 'EN' },
    { label: 'Deutsch', code: 'DE' }
  ];
  fruits = ['Apfel', 'Orange', 'Banane'];

  myForm: FormGroup;

  ngOnInit() {
    this.myForm = new FormGroup({
      firstname: new FormControl(''),
      comment: new FormControl('Ein Kommentar'),
      number: new FormControl(0),
      isChecked: new FormControl(false),
      language: new FormControl('EN'),
      fruit: new FormControl('Apfel'),
      fruits: new FormControl([])
    });
  }

  onSubmit() {
    console.log(this.myForm.value);
  }
}
