import { Injectable } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';

@Injectable({
  providedIn: 'root'
})
export class DynamicFormService {
  fields = [
    {
      id: 'a',
      title: 'Name',
      name: 'name',
      type: 'text',
      defaultValue: ''
    },
    {
      id: 'b',
      title: 'Comment',
      name: 'comment',
      type: 'textarea',
      defaultValue: ''
    }
  ];

  getForm() {
    const group = {};

    this.fields.forEach(field => {
      group[field.name] = new FormControl(field.defaultValue);
    });

    return new FormGroup(group);
  }
}
