import { Component, OnInit } from '@angular/core';
import {
  FormGroup,
  FormControl,
  AbstractControl,
  ValidationErrors
} from '@angular/forms';

function asyncValidation(
  control: AbstractControl
): Promise<ValidationErrors | null> {
  return new Promise(resolve => {
    setTimeout(() => {
      if (control.value === 'async') {
        resolve(null);
      }
      resolve({ asyncvalidation: true });
    }, 1000);
  });
}

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {
  myForm: FormGroup;

  ngOnInit() {
    this.myForm = new FormGroup({
      asyncField: new FormControl('', { asyncValidators: [asyncValidation] })
    });
  }

  onSubmit() {
    console.log('asyncField:', this.myForm.value.asyncField);
    if (this.myForm.valid) {
      console.log('Gültig');
    } else {
      console.log('Ungültig');
    }
  }
}
