import { Component, OnInit } from '@angular/core';
import {
  FormGroup,
  FormControl,
  AbstractControl,
  ValidationErrors
} from '@angular/forms';

function passwordsMatch(group: AbstractControl): ValidationErrors | null {
  const password = group.get('password').value;
  const passwordRepeat = group.get('passwordRepeat').value;
  if (password === passwordRepeat) {
    return null;
  }

  return { passwordsmatch: true };
}

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {
  myForm: FormGroup;

  ngOnInit() {
    this.myForm = new FormGroup(
      {
        password: new FormControl(''),
        passwordRepeat: new FormControl('')
      },
      {
        validators: [passwordsMatch]
      }
    );
  }

  onSubmit() {
    console.log('Formulardaten:', this.myForm.value);
    if (this.myForm.valid) {
      console.log('Gültig');
    } else {
      console.log('Ungültig');
    }
  }
}
