import { Component, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { Subscription } from 'rxjs';

import { LoginService } from './login.service';

@Component({
  selector: 'app-login',
  template: `
    <h2>Login</h2>
    <button type="button" (click)="execLogin()">Anmelden</button>
  `
})
export class LoginComponent implements OnDestroy {
  subscription: Subscription;

  constructor(private loginService: LoginService, private router: Router) {}

  execLogin() {
    this.loginService.execLogin().subscribe(() => {
      this.router.navigate(['']);
    });
  }

  ngOnDestroy() {
    if (this.subscription) {
      this.subscription.unsubscribe();
    }
  }
}
