'use strict';

const send = require('../helpers/sender_functions');

const user = {
  username: 'admin',
  password: '1234'
};

function setupUserHandlers() {
  function handleLogin(req, res) {
    const { body } = req;

    if (!body || Object.keys(body).length === 0) {
      return send.badRequest(res);
    }

    if (body.username === user.username) {
      if (body.password !== user.password) {
        send.unauthorized(res);
      } else {
        req.session.userId = user.username;
        send.jsonContent(res, {});
      }
    } else {
      send.notFound(res);
    }
  }

  function handleCheckLogin(req, res) {
    if (req.session.userId) {
      send.jsonContent(res, {});
    } else {
      send.unauthorized(res);
    }
  }

  return {
    handleLogin,
    handleCheckLogin
  };
}

module.exports = setupUserHandlers;
