'use strict';

const contactsLists = '/lists';
const contacts = 'contacts';

function setupRoutes(expressApp, { userHandlers, contactsHandlers }) {
  expressApp.get('/login', userHandlers.handleCheckLogin);
  expressApp.post('/login', userHandlers.handleLogin);

  expressApp.get(contactsLists, contactsHandlers.getAllLists);
  expressApp.get(`${contactsLists}/:listID`, contactsHandlers.getOneList);
  expressApp.post(contactsLists, contactsHandlers.addList);
  expressApp.put(`${contactsLists}/:listID`, contactsHandlers.updateList);
  expressApp.delete(`${contactsLists}/:listID`, contactsHandlers.deleteList);

  expressApp.get(
    `${contactsLists}/:listID/${contacts}`,
    contactsHandlers.getAllContacts
  );
  expressApp.get(
    `${contactsLists}/:listID/${contacts}/:contactID`,
    contactsHandlers.getOneContact
  );
  expressApp.post(
    `${contactsLists}/:listID/${contacts}`,
    contactsHandlers.addContact
  );
  expressApp.put(
    `${contactsLists}/:listID/${contacts}/:contactID`,
    contactsHandlers.updateContact
  );
  expressApp.delete(
    `${contactsLists}/:listID/${contacts}/:contactID`,
    contactsHandlers.deleteContact
  );
}

module.exports = setupRoutes;
